Bug 33802 - UCC auto join fails if computer object does not exist
UCC auto join fails if computer object does not exist
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-23 11:44 CET by Felix Botner
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-12-23 11:44:09 CET
ucc-image-set-join-information sets the image up for an auto join. The tool stores the settings (password etc.) in /etc in the image (/etc/ucc_join_password)

univention-join on the UCC client then uses this password file to connect to the UCS server and to create the machine account. Therefor the password file has to be copied to the UCS server. This fails because the join user (Administrator in my case) has no permissions to create files in /etc on the UCS server.

join.log:
scp: /etc/ucc_join_password: Permission denied
/usr/share/univention-join/univention-server-join: line 181: /etc/ucc_join_password: No such file or directory
rm: cannot remove `/etc/ucc_join_password': No such file or directory
Comment 1 Felix Botner univentionstaff 2014-04-22 17:29:13 CEST
The domain join password file is now copied to the tmp directory ("/tmp/$(basename $DCPWD)"). The join user should have write permissions there.
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-28 09:26:54 CEST
Ok, I could successfully run an automated rollout.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:57 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".